package org.dromara.system.service;

import org.dromara.system.domain.TblCarSchedule;
import org.dromara.system.domain.vo.TblCarScheduleVo;
import org.dromara.system.domain.bo.TblCarScheduleBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 车及人员排班Service接口
 *
 * @author Lion Li
 * @date 2024-02-22
 */
public interface ITblCarScheduleService {

    /**
     * 查询车及人员排班
     */
    TblCarScheduleVo queryById(Long id);

    /**
     * 查询车及人员排班列表
     */
    TableDataInfo<TblCarScheduleVo> queryPageList(TblCarScheduleBo bo, PageQuery pageQuery);

    /**
     * 查询车及人员排班列表
     */
    List<TblCarScheduleVo> queryList(TblCarScheduleBo bo);

    /**
     * 新增车及人员排班
     */
    Boolean insertByBo(TblCarScheduleBo bo);

    /**
     * 修改车及人员排班
     */
    Boolean updateByBo(TblCarScheduleBo bo);

    /**
     * 校验并批量删除车及人员排班信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
